Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui
Class ThemeBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.ThemeBean

    public class ThemeBean

extends java.lang.Object

Version:
  $Revision: 8785 $
Author:
  Martin Holzner

Constructor Summary
`ThemeBean(PortalObject portalObject)`

Method Summary
`void` | `execute(javax.faces.event.ActionEvent actionEvent)`
`java.lang.String` | `getDecorationRendererName()`
`java.lang.String` | `getLayoutName()`
`PortalObject` | `getPortalObject()`
`java.lang.String` | `getPortletRendererName()`
`java.lang.String` | `getRenderSetName()`
`java.lang.String` | `getThemeName()`
`java.lang.String` | `getWindowRendererName()`
`void` | `setDecorationRendererName(java.lang.String decorationRendererName)`
`void` | `setLayoutName(java.lang.String layoutName)`
`void` | `setPortletRendererName(java.lang.String portletRendererName)`
`void` | `setRenderSetName(java.lang.String renderSetName)`
`void` | `setThemeName(java.lang.String themeName)`
`void` | `setWindowRendererName(java.lang.String windowRendererName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThemeBean

    public ThemeBean(PortalObject portalObject)

Method Detail

### getPortalObject

    public PortalObject getPortalObject()

### getLayoutName

    public java.lang.String getLayoutName()

### setLayoutName

    public void setLayoutName(java.lang.String layoutName)

### getThemeName

    public java.lang.String getThemeName()

### setThemeName

    public void setThemeName(java.lang.String themeName)

### getRenderSetName

    public java.lang.String getRenderSetName()

### setRenderSetName

    public void setRenderSetName(java.lang.String renderSetName)

### getWindowRendererName

    public java.lang.String getWindowRendererName()

### setWindowRendererName

    public void setWindowRendererName(java.lang.String windowRendererName)

### getDecorationRendererName

    public java.lang.String getDecorationRendererName()

### setDecorationRendererName

    public void setDecorationRendererName(java.lang.String decorationRendererName)

### getPortletRendererName

    public java.lang.String getPortletRendererName()

### setPortletRendererName

    public void setPortletRendererName(java.lang.String portletRendererName)

### execute

    public void execute(javax.faces.event.ActionEvent actionEvent)
                 throws javax.faces.event.AbortProcessingException

  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD